org.apache.tinkerpop.gremlin.driver

## Class Tokens

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.Tokens

-     public final class Tokens
      extends Object

  String constants used in gremlin-driver and gremlin-server.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARGS_AGGREGATE_TO`
    `static String` | `ARGS_ALIASES`
    `static String` | `ARGS_BATCH_SIZE`
    `static String` | `ARGS_BINDINGS`
    `static String` | `ARGS_FORCE`
    `static String` | `ARGS_GREMLIN`
    `static String` | `ARGS_HOST`
    `static String` | `ARGS_LANGUAGE`
    `static String` | `ARGS_MANAGE_TRANSACTION`
    `static String` | `ARGS_SASL`
    `static String` | `ARGS_SASL_MECHANISM`
    `static String` | `ARGS_SCRIPT_EVAL_TIMEOUT`
    `static String` | `ARGS_SESSION`
    `static String` | `ARGS_SIDE_EFFECT`
    `static String` | `ARGS_SIDE_EFFECT_KEY`
    `static String` | `OPS_AUTHENTICATION`
    `static String` | `OPS_BYTECODE`
    `static String` | `OPS_CLOSE`
    `static String` | `OPS_EVAL`
    `static String` | `OPS_GATHER`
    `static String` | `OPS_INVALID`
    `static String` | `OPS_KEYS`
    `static String` | `REQUEST_ID`
    `static String` | `STATUS_ATTRIBUTE_EXCEPTIONS`
    `static String` | `STATUS_ATTRIBUTE_STACK_TRACE`
    `static String` | `STATUS_ATTRIBUTE_WARNINGS` A `ResultSet.statusAttributes()` key for user-facing warnings.
    `static String` | `VAL_AGGREGATE_TO_BULKSET`
    `static String` | `VAL_AGGREGATE_TO_LIST`
    `static String` | `VAL_AGGREGATE_TO_MAP`
    `static String` | `VAL_AGGREGATE_TO_NONE`
    `static String` | `VAL_AGGREGATE_TO_SET`
    `static String` | `VAL_TRAVERSAL_SOURCE_ALIAS`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPS_AUTHENTICATION

          public static final String OPS_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### OPS_BYTECODE

          public static final String OPS_BYTECODE

      See Also:
        Constant Field Values

    - #### OPS_EVAL

          public static final String OPS_EVAL

      See Also:
        Constant Field Values

    - #### OPS_INVALID

          public static final String OPS_INVALID

      See Also:
        Constant Field Values

    - #### OPS_GATHER

          public static final String OPS_GATHER

      See Also:
        Constant Field Values

    - #### OPS_KEYS

          public static final String OPS_KEYS

      See Also:
        Constant Field Values

    - #### OPS_CLOSE

          public static final String OPS_CLOSE

      See Also:
        Constant Field Values

    - #### REQUEST_ID

          public static final String REQUEST_ID

      See Also:
        Constant Field Values

    - #### ARGS_BATCH_SIZE

          public static final String ARGS_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### ARGS_BINDINGS

          public static final String ARGS_BINDINGS

      See Also:
        Constant Field Values

    - #### ARGS_ALIASES

          public static final String ARGS_ALIASES

      See Also:
        Constant Field Values

    - #### ARGS_FORCE

          public static final String ARGS_FORCE

      See Also:
        Constant Field Values

    - #### ARGS_GREMLIN

          public static final String ARGS_GREMLIN

      See Also:
        Constant Field Values

    - #### ARGS_LANGUAGE

          public static final String ARGS_LANGUAGE

      See Also:
        Constant Field Values

    - #### ARGS_SCRIPT_EVAL_TIMEOUT

          public static final String ARGS_SCRIPT_EVAL_TIMEOUT

      See Also:
        Constant Field Values

    - #### ARGS_HOST

          public static final String ARGS_HOST

      See Also:
        Constant Field Values

    - #### ARGS_SESSION

          public static final String ARGS_SESSION

      See Also:
        Constant Field Values

    - #### ARGS_MANAGE_TRANSACTION

          public static final String ARGS_MANAGE_TRANSACTION

      See Also:
        Constant Field Values

    - #### ARGS_SASL

          public static final String ARGS_SASL

      See Also:
        Constant Field Values

    - #### ARGS_SASL_MECHANISM

          public static final String ARGS_SASL_MECHANISM

      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT

          public static final String ARGS_SIDE_EFFECT

      See Also:
        Constant Field Values

    - #### ARGS_AGGREGATE_TO

          public static final String ARGS_AGGREGATE_TO

      See Also:
        Constant Field Values

    - #### ARGS_SIDE_EFFECT_KEY

          public static final String ARGS_SIDE_EFFECT_KEY

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_BULKSET

          public static final String VAL_AGGREGATE_TO_BULKSET

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_LIST

          public static final String VAL_AGGREGATE_TO_LIST

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_MAP

          public static final String VAL_AGGREGATE_TO_MAP

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_NONE

          public static final String VAL_AGGREGATE_TO_NONE

      See Also:
        Constant Field Values

    - #### VAL_AGGREGATE_TO_SET

          public static final String VAL_AGGREGATE_TO_SET

      See Also:
        Constant Field Values

    - #### VAL_TRAVERSAL_SOURCE_ALIAS

          public static final String VAL_TRAVERSAL_SOURCE_ALIAS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_EXCEPTIONS

          public static final String STATUS_ATTRIBUTE_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_STACK_TRACE

          public static final String STATUS_ATTRIBUTE_STACK_TRACE

      See Also:
        Constant Field Values

    - #### STATUS_ATTRIBUTE_WARNINGS

          public static final String STATUS_ATTRIBUTE_WARNINGS

      A `ResultSet.statusAttributes()` key for user-facing warnings.

      Implementations that set this key should consider using one of these two recommended value types:

      - A `List` implementation containing references for which `String.valueOf(Object)` produces a meaningful return value. For example, a list of strings.
      - Otherwise, any single non-list object for which `String.valueOf(Object)` produces a meaningful return value. For example, a string.
      See Also:
        Constant Field Values

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.